name: test-conda-env-py3-macos
channels:
  - conda-forge
  - defaults
dependencies:
  - git
  - python>=3.8
  - dealii
  - pocl
  - pyopencl
  - pyfmmlib
  - scipy
  - numpy
  - sympy
  - symengine
  - python-symengine
  - cython
  - cgen
  - toml
  - py
  - pluggy
  - packaging
  - iniconfig
  - attrs
  - genpy
  - colorama
  - islpy
  - pyrsistent
  - h5py
  - pyevtk
  - pytest
  - pytest-cov
  - cmake

  - pip
  - pip:
    - git+https://gitlab.tiker.net/inducer/loopy
    - git+https://gitlab.tiker.net/inducer/gmsh_interop
    - git+https://gitlab.tiker.net/inducer/boxtree
    - git+https://gitlab.tiker.net/inducer/modepy
    - git+https://gitlab.tiker.net/inducer/meshmode
    - git+https://gitlab.tiker.net/inducer/pymbolic
    - git+https://gitlab.tiker.net/inducer/sumpy
    - git+https://gitlab.tiker.net/inducer/pytential
